## librandombytes 0~20230919

=== debian/changelog ===
librandombytes (0~20230919-4) unstable; urgency=medium

  * d/rules: add also 'Replaces: libnacl-dev' (Closes: #1059335)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 25 Dec 2023 22:00:59 +0100

librandombytes (0~20230919-3) unstable; urgency=medium

  * d/rules: use 'Breaks: libnacl-dev' instead of 'Conflicts libnacl-dev'
  * d/watch: use special strings @PACKAGE@, @ANY_VERSION@, @ARCHIVE_EXT@
  * d/rules: detect the correct ABINAME from the DEB_BUILD_ARCH
    instead of run-time detection. Fixes FTBR on i386/armhf/...
  * d/rules: add some debug messages, print abiname/uname -m/compiler

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 21 Dec 2023 09:11:39 +0100

librandombytes (0~20230919-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/compiler/{gcc,clang}: add debian compiler wrappers. It adds Debian
    specifific options distributed in $CC, $CFLAGS, $CPPFLAGS and $LDFLAGS
  * d/control: add Conflicts: libnacl-dev (<< 20110221-13~)
    The libnacl-dev package contained until version 20110221-12 the
    /usr/lib/<arch>/librandombytes.a file, which caused the conflict.
    Since version 20110221-13 is the /usr/lib/<arch>/librandombytes.a file
    removed from libnacl-dev and libnacl-dev depends on librandombytes library.
    (Closes: #1054042)
  * d/control add Multi-Arch: same
  * d/rules add DEB_BUILD_MAINT_OPTIONS = optimize=+lto
  * d/rules add DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,noexecstack
  * d/tests/ autopkg tests simplified, all tests uses randombytes-info source

 -- Simon Josefsson <simon@josefsson.org>  Wed, 18 Oct 2023 18:20:43 +0200

librandombytes (0~20230919-1) unstable; urgency=medium

  [ Jan Mojžíš ]
  * New upstream version 20230919
  * d/librandombytes1.symbols update symbol versions to 0~20230919

 -- Simon Josefsson <simon@josefsson.org>  Sun, 15 Oct 2023 21:32:56 +0200

librandombytes (0~20230905-1) unstable; urgency=medium

  [ Jan Mojžíš ]
  * Initial release. (Closes: #1029842)

  [ Simon Josefsson ]
  * Run wrap-and-sort -satb.
  * control: Reorder binary packages so librandombytes1 is first.
  * Capitalize OpenSSL name.
  * copyright: Use CC0 for debian/ works.
  * tests: Test library without root permission too.
  * Add myself to Uploaders.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 08 Sep 2023 14:11:23 +0200
