=== debian/control ===
Source: librandombytes
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Priority: optional
Standards-Version: 4.6.2
Section: libs
Homepage: https://randombytes.cr.yp.to/
Build-Depends:
 debhelper-compat (= 13),
 libssl-dev,
 python3,
Vcs-Git: https://salsa.debian.org/debian/librandombytes.git
Vcs-Browser: https://salsa.debian.org/debian/librandombytes
Rules-Requires-Root: no

Package: librandombytes1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library generating fresh randomness - shared library
 librandombytes is a public-domain library providing a simple API for
 applications generating fresh randomness: include <randombytes.h>,
 call randombytes(x, xbytes) whenever desired to generate fresh random bytes
 x[0], x[1], ..., x[xbytes-1], and link with -lrandombytes.
 .
 Random bytes are often used directly in applications. Random bytes are also
 the foundation of more complicated random objects, such as random integers
 in a limited interval, random floating-point numbers from a (nearly) normal
 distribution, and random keys used in public-key cryptosystems. librandombytes
 is dedicated to obtaining fresh random bytes in the first place, and leaves
 it to higher-level libraries to convert those bytes into other types of random
 objects.
 .
 librandombytes aims for the following stringent randomness goal: no feasible
 computation will ever be able to tell the difference between the output bytes
 and true randomness (independent uniformly distributed random bytes). This
 makes the randombytes() output suitable for use in applications ranging from
 simulations to cryptography.
 .
 Shared library.

Package: librandombytes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks:
 libnacl-dev (<< 20110221-13~),
Replaces:
 libnacl-dev (<< 20110221-13~),
Depends:
 librandombytes1 (= ${binary:Version}),
 ${misc:Depends},
Description: Library generating fresh randomness - development files
 librandombytes is a public-domain library providing a simple API for
 applications generating fresh randomness: include <randombytes.h>,
 call randombytes(x, xbytes) whenever desired to generate fresh random bytes
 x[0], x[1], ..., x[xbytes-1], and link with -lrandombytes.
 .
 Random bytes are often used directly in applications. Random bytes are also
 the foundation of more complicated random objects, such as random integers
 in a limited interval, random floating-point numbers from a (nearly) normal
 distribution, and random keys used in public-key cryptosystems. librandombytes
 is dedicated to obtaining fresh random bytes in the first place, and leaves
 it to higher-level libraries to convert those bytes into other types of random
 objects.
 .
 librandombytes aims for the following stringent randomness goal: no feasible
 computation will ever be able to tell the difference between the output bytes
 and true randomness (independent uniformly distributed random bytes). This
 makes the randombytes() output suitable for use in applications ranging from
 simulations to cryptography.
 .
 Development files.

Package: randombytes
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library generating fresh randomness - command-line tool
 librandombytes is a public-domain library providing a simple API for
 applications generating fresh randomness: include <randombytes.h>,
 call randombytes(x, xbytes) whenever desired to generate fresh random bytes
 x[0], x[1], ..., x[xbytes-1], and link with -lrandombytes.
 .
 Random bytes are often used directly in applications. Random bytes are also
 the foundation of more complicated random objects, such as random integers
 in a limited interval, random floating-point numbers from a (nearly) normal
 distribution, and random keys used in public-key cryptosystems. librandombytes
 is dedicated to obtaining fresh random bytes in the first place, and leaves
 it to higher-level libraries to convert those bytes into other types of random
 objects.
 .
 librandombytes aims for the following stringent randomness goal: no feasible
 computation will ever be able to tell the difference between the output bytes
 and true randomness (independent uniformly distributed random bytes). This
 makes the randombytes() output suitable for use in applications ranging from
 simulations to cryptography.
 .
 Command line tool "randombytes-info".
