=== debian/tests/control ===
Tests: testrandombytes-static
Depends:
 build-essential,
 dpkg-dev,
 librandombytes-dev,

Tests: testrandombytes-shared
Depends:
 build-essential,
 dpkg-dev,
 librandombytes-dev,

Tests: testrandombytes-chroot
Restrictions: needs-root
Depends:
 build-essential,
 dpkg-dev,
 librandombytes-dev,

Test-Command: randombytes-info
Depends:
 randombytes,
