## librandombytes 0~20240318

=== debian/changelog ===
librandombytes (0~20240318-5) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/watch: rewrite to version 5
  * d/salsa-ci.yml: temp. disable build on arm*,riscv64 (no runners)
  * d/control: remove Rules-Requires-Root: no

  [ Simon Josefsson ]
  * Re-generate manpages.
  * Add lrc.excludes.
  * Tighten Salsa CI.
  * Add upstream/metadata.
  * Add lintian ignores.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 21:07:51 +0100

librandombytes (0~20240318-4) unstable; urgency=medium

  * d/control: change maintainer to pkg-security

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 19 Aug 2025 07:06:44 +0200

librandombytes (0~20240318-3) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/rules: remove debugprint function
  * d/t/testrandombytes-shared: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/t/testrandombytes-static: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/t/testrandombytes-chroot: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/salsa-ci.yml: add SALSA_CI_ENABLE_WRAP_AND_SORT=1
  * d/control: update my email to "janmojzis@debian.org"
  * d/copyright: bump debian/* copyright year

  [ Simon Josefsson ]
  * d/salsa-ci.yml: Enable arm/riscv jobs.
  * d/salsa-ci.yml: Enable aptly job.
  * Standards-Version: 4.7.2.
  * Silence package-name-doesnt-match-sonames.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 09 Mar 2025 19:37:30 +0100

librandombytes (0~20240318-2) unstable; urgency=medium

  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/rules: remove optimize=+lto, rollback to default

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 18 Jun 2024 16:53:43 +0200

librandombytes (0~20240318-1) unstable; urgency=medium

  * New upstream version 20240318
  * d/gbp.conf: add [pull] track-missing = True
  * d/librandombytes1.symbols fix lintian error
    symbols-file-contains-current-version-with-debian-revision
  * d/randombytes.manpages: add randombytes-info.1 manpage
  * d/copyright: bump copyright years
  * d/compiler/gcc: fix looping when CC=clang or CC=gcc
  * d/salsa-ci.yml: add and enable wrap-and-sort

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 15 Apr 2024 07:25:21 +0200
