=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: librandombytes
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
+ Jan Mojžíš <janmojzis@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://randombytes.cr.yp.to/
 Build-Depends:
  debhelper-compat (= 13),
  libssl-dev,
+ pandoc [!m68k !sh4 !x32] <!nodoc>,
  python3,
 Vcs-Git: https://salsa.debian.org/debian/librandombytes.git
 Vcs-Browser: https://salsa.debian.org/debian/librandombytes
-Rules-Requires-Root: no
 
 Package: librandombytes1
 Architecture: any
