=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,noexecstack
 
 # crossbuild
@@ -25,16 +25,12 @@
 ABINAME=amd64
 endif
 
-.PHONY: debugprint
-debugprint:
-	@echo === debug ===
-	@echo "abiname: $(ABINAME)"
-	@echo "uname -m: `uname -m`"
-	@echo "debian compiler: $(CC)"
-	@echo "debian compiler options: $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
-	@echo =============
-
-override_dh_auto_configure: debugprint
+override_dh_auto_configure:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	head -v $(shell find . -name librandombytes.3)
+	(! command -v pandoc) || autogen/man
+	head -v $(shell find . -name librandombytes.3)
+endif
 	./configure --host=$(ABINAME) --prefix=/usr
 
 override_dh_auto_clean:
